Bug 496182 - Traceback at launch
Traceback at launch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 23:41 EDT by Ira Malinich
Modified: 2010-05-21 08:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-21 08:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
org.gnome.LircProperties.Mechanism.conf (820 bytes, application/octet-stream)
2009-05-03 05:53 EDT, Michael Wagner
no flags Details

  None (edit)
Description Ira Malinich 2009-04-16 23:41:04 EDT
Description of problem:
gnome-lirc-properties fails to launch, throwing a traceback and citing two malformed configuration files.

Version-Release number of selected component (if applicable):
0.3.1-3

How reproducible:
Consistently

Steps to Reproduce:
1. yum install gnome-lirc-properties
2. launch from the System -> Properties menu in Gnome or via terminal
  
Actual results:
If launched from the menu, a hidden window titled "Starting Infrared Remote Control" appears on the task list briefly before disappearing.  If launched from a terminal window, the attached traceback and errors are displayed.

Expected results:
gnome-lirc-properties launches and allows the user to modify remote control configurations.

Additional info:
Here are the error messages and traceback:
/usr/lib/python2.6/site-packages/gnome_lirc_properties/net/services.py:23: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5, os, re, rfc822, sha, time, urllib2
/usr/lib/python2.6/site-packages/gnome_lirc_properties/net/services.py:23: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import md5, os, re, rfc822, sha, time, urllib2
/usr/lib/python2.6/site-packages/gnome_lirc_properties/lirc.py:335: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  logging.error(ex.message)
ERROR:root:imon/lircd.conf.imon-ultrabay:131: Malformed configuration file
WARNING:root:/usr/share/lirc-remotes/: Remote mceusb listed twice in mceusb/lircd.conf.mceusb and mceusb/lircd.conf.mceusb.
Traceback (most recent call last):
  File "/usr/bin/gnome-lirc-properties", line 27, in <module>
    gnome_lirc_properties.run(sys.argv[1:], datadir)
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/__init__.py", line 57, in run
    return ui.RemoteControlProperties(gtk.glade.XML(ui_filename)).run()
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/ui/RemoteControlProperties.py", line 56, in __init__
    self.__setup_authorization()
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/ui/RemoteControlProperties.py", line 223, in __setup_authorization
    granted = self.__auth.is_authorized()
  File "/usr/lib/python2.6/site-packages/gnome_lirc_properties/policykit.py", line 43, in is_authorized
    authorized = self.policy_kit.IsProcessAuthorized(action_id, pid, False)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.PolicyKit.GeneralError: Error getting information about pid 3589: (null): (null)
Comment 1 Ira Malinich 2009-04-16 23:49:50 EDT
The file /usr/share/lirc-remotes/imon/lircd.conf.imon-ultrabay appears to have a begin statement commented out on line 102, but I don't know how to create a patch for it.  I'm not sure what to do with the other file.  Even if I move the file so it's not loaded, the traceback still happens.
Comment 2 Michael Wagner 2009-04-23 11:08:20 EDT
This seems to be related to PolicyKit. After disabling PolicyKit in config.py (ENABLE_POLICY_KIT = False) gnome-lirc-properties starts (but fails to write a configuration file).
Comment 3 Michael Wagner 2009-05-02 08:24:53 EDT
It seems as if selinux intercepts dbus calls to policykit(org.freedesktop.policykit.read):


getenforce -> Enforcing:

dbus-send --system --dest=org.freedesktop.PolicyKit --print-reply / org.freedesktop.PolicyKit.IsProcessAuthorized string:org.freedesktop.policykit.read uint32:$PPID boolean:true
Error org.freedesktop.PolicyKit.GeneralError: Error getting information about pid 3975: (null): (null)


getenforce -> Permissive:

dbus-send --system --dest=org.freedesktop.PolicyKit --print-reply / org.freedesktop.PolicyKit.IsProcessAuthorized string:org.freedesktop.policykit.read uint32:$PPID boolean:true
method return sender=:1.157 -> dest=:1.156 reply_serial=2
   string "auth_admin_keep_always"

After going into permissive mode, gnome-lirc-properties is running.
Comment 4 Michael Wagner 2009-05-03 05:53:29 EDT
Created attachment 342209 [details]
org.gnome.LircProperties.Mechanism.conf
Comment 5 Michael Wagner 2009-05-03 05:54:29 EDT
The failure to write a configuration file is related to bug 474895 and the changes to the default policy of the dbus system. The attached org.gnome.LircProperties.Mechanism.conf is working for me. As the authorization is handled by policykit, it is perhaps safe to allow every user to contact the service. However, this should be checked by someone with a deeper insight into the security implications.
Comment 6 Bug Zapper 2009-06-09 09:58:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bastien Nocera 2009-06-30 08:07:18 EDT
The traceback should be fixed in https://admin.fedoraproject.org/updates/gnome-lirc-properties-0.3.1-4.fc11

That leaves the duplicate names, and broken files:
imon/lircd.conf.imon-ultrabay is broken
mceusb/lircd.conf.mceusb contains a duplicate name
Comment 8 Jarod Wilson 2009-07-16 16:48:25 EDT
(In reply to comment #7)
> That leaves the duplicate names, and broken files:
> imon/lircd.conf.imon-ultrabay is broken
> mceusb/lircd.conf.mceusb contains a duplicate name  

Fixed and fixed (in lirc cvs just now). Should be all set with the arrival of lirc 0.8.6.
Comment 9 Bastien Nocera 2009-09-10 16:48:57 EDT
With lirc-remotes.x86_64 0:0.8.6-0.6.pre2.fc12:

WARNING:root:/usr/share/lirc-remotes/: Remote Antec_Veris_Premiere listed twice in imon/lircd.conf.imon-mceusb and imon/lircd.conf.imon-antec-veris.
WARNING:root:/usr/share/lirc-remotes/: Remote iMON-PAD listed twice in imon/lircd.conf.imon-pad and imon/lircd.conf.imon-pad.

Not the same problems, but still some anyway...
Comment 10 Bug Zapper 2010-04-27 09:43:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bastien Nocera 2010-05-21 08:45:16 EDT
Let's say it's fixed, and fix the lirc remote definition bugs somewhere else.

Note You need to log in before you can comment on or make changes to this bug.